classification
Title: Change data model documentation to zero-argument super()
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, cheryl.sabella, docs@python, ncoghlan
Priority: normal Keywords:

Created on 2017-05-12 19:40 by cheryl.sabella, last changed 2017-05-30 20:49 by Mariatta. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 1561 merged cheryl.sabella, 2017-05-12 19:43
PR 1868 merged cheryl.sabella, 2017-05-30 20:32
PR 1869 merged cheryl.sabella, 2017-05-30 20:33
Messages (5)
msg293566 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2017-05-12 19:40
Update data model documentaion to reflect the zero-argument form of super().
msg293665 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2017-05-15 03:42
New changeset 12b1c180986fc744331b8f30d3d2f49a0fdb43dd by Nick Coghlan (csabella) in branch 'master':
bpo-30354: Update data model documentation for super() (GH-1561)
https://github.com/python/cpython/commit/12b1c180986fc744331b8f30d3d2f49a0fdb43dd
msg294782 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-05-30 20:47
New changeset 75ea91bb736f2a061a3ebc689ff17629bdc15568 by Mariatta (csabella) in branch '3.5':
bpo-30354: Update data model documentation for super() (GH-1561) (GH-1869)
https://github.com/python/cpython/commit/75ea91bb736f2a061a3ebc689ff17629bdc15568
msg294783 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-05-30 20:48
New changeset ad13d54646d189cea8e6f7a9bc4a87e20df33ac4 by Mariatta (csabella) in branch '3.6':
bpo-30354: Update data model documentation for super() (GH-1561) (GH-1868)
https://github.com/python/cpython/commit/ad13d54646d189cea8e6f7a9bc4a87e20df33ac4
msg294784 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-05-30 20:49
Thanks for the PR and the backports, Cheryl :)
History
Date User Action Args
2017-05-30 20:49:20Mariattasetstatus: open -> closed
resolution: fixed
messages: + msg294784

stage: backport needed -> resolved
2017-05-30 20:48:25Mariattasetmessages: + msg294783
2017-05-30 20:47:49Mariattasetnosy: + Mariatta
messages: + msg294782
2017-05-30 20:34:52Mariattasetstage: backport needed
versions: + Python 3.5, Python 3.6
2017-05-30 20:33:01cheryl.sabellasetpull_requests: + pull_request1952
2017-05-30 20:32:08cheryl.sabellasetpull_requests: + pull_request1951
2017-05-15 03:42:02ncoghlansetnosy: + ncoghlan
messages: + msg293665
2017-05-12 19:43:53cheryl.sabellasetpull_requests: + pull_request1659
2017-05-12 19:40:13cheryl.sabellacreate